Package Details: wechat-universal 1.0.0.241-1

Git Clone URL: https://aur.archlinux.org/wechat-universal.git (read-only, click to copy)
Package Base: wechat-universal
Description: WeChat (Universal) with namespace sandboxing
Upstream URL: https://weixin.qq.com
Licenses: proprietary
Conflicts: wechat-universal, wechat-universal-bwrap, wechat-universal-privileged
Provides: wechat-universal
Submitter: lihe07
Maintainer: lihe07
Last Packager: lihe07
Votes: 4
Popularity: 1.43
First Submitted: 2024-03-24 15:12 (UTC)
Last Updated: 2024-04-25 04:02 (UTC)

Latest Comments

1 2 3 Next › Last »

evilred commented on 2024-05-07 07:38 (UTC) (edited on 2024-05-07 07:39 (UTC) by evilred)

wechat-universal 
unshare: no line matching user "evilred" in /etc/subuid
/usr/bin/wechat-universal: 第 11 行:return: 只能在函数或者被 source 的脚本中使用 "return"
nsenter: 解析 pid 失败: 'mount'
/usr/bin/wechat-universal: 第 16 行:return: 只能在函数或者被 source 的脚本中使用 "return"
nsenter: 解析 pid 失败: 'mount'
/usr/bin/wechat-universal: 第 16 行:return: 只能在函数或者被 source 的脚本中使用 "return"
nsenter: 解析 pid 失败: 'mount'
/usr/bin/wechat-universal: 第 16 行:return: 只能在函数或者被 source 的脚本中使用 "return"
nsenter: 解析 pid 失败: 'mount'
/usr/bin/wechat-universal: 第 16 行:return: 只能在函数或者被 source 的脚本中使用 "return"

wilflinlinlinlin commented on 2024-05-02 16:20 (UTC)

发现一个问题,启动时会提示 Could not find the Qt platform plugin "wayland" in "" 这似乎是因为某些库没有被b包含在沙箱中造成的 似乎可以通过添加对应的库实现原生wayland?

我的技术能力不强,如本评论有错误请直接忽略本评论

ferstar commented on 2024-04-26 01:43 (UTC)

提供一个 KDE6 Wayland 下解决缩放&输入法的修改:

diff --git a/usr/bin/wechat-universal b/home/ferstar/.local/bin/wechat-universal
index 57d10f1..df5585a 100755
--- a/usr/bin/wechat-universal
+++ b/home/ferstar/.local/bin/wechat-universal
@@ -1,5 +1,34 @@
 #!/bin/bash

+ENVS=()
+
+env_add() {
+    ENVS+=("${1}=${2}") 
+}
+
+case "$XDG_CURRENT_DESKTOP" in
+        KDE)
+        env_add QT_AUTO_SCREEN_SCALE_FACTOR "$(kreadconfig6 --group KScreen --key ScaleFactor --default 1.0)"
+        ;;
+        *)
+        QT_AUTO_SCREEN_SCALE_FACTOR=${QT_AUTO_SCREEN_SCALE_FACTOR:-1}
+        ;;
+esac
+
+case "${XMODIFIERS}" in 
+    *@im=fcitx*)
+        echo "Workaround for fcitx applied"
+        env_add QT_IM_MODULE fcitx
+        env_add GTK_IM_MODULE fcitx    
+        ;;
+    *@im=ibus*)
+        echo "Workaround for ibus applied"
+        env_add QT_IM_MODULE ibus
+        env_add GTK_IM_MODULE ibus
+        env_add IBUS_USE_PORTAL 1
+        ;;
+esac
+
 MOUNTS=(
        /etc/os-release=/usr/share/wechat-universal/etc/os-release
        /etc/lsb-release=/usr/share/wechat-universal/etc/lsb-release
@@ -21,5 +50,5 @@ coproc mounter {

 exec {out}>>/dev/fd/${mounter[1]} {in}</dev/fd/${mounter[0]}

-exec unshare --mount --user --map-user=$(id -u) --map-group=$(id -g) --map-users=auto --map-groups=auto --keep-caps --setgroups allow /bin/bash --noprofile --norc -c "echo \$\$ >&${out} && exec ${out}>&- || exit \$? ; read -u ${in} && exec ${in}<&- && \"\$@\" ; exit $?" unshare /opt/wechat-universal/wechat
+exec unshare --mount --user --map-user=$(id -u) --map-group=$(id -g) --map-users=auto --map-groups=auto --keep-caps --setgroups allow /bin/bash --noprofile --norc -c "echo \$\$ >&${out} && exec ${out}>&- || exit \$? ; read -u ${in} && exec ${in}<&- && \"\$@\" ; exit $?" unshare env "${ENVS[@]}" /opt/wechat-universal/wechat
 exit $?

sunshe35 commented on 2024-04-16 12:48 (UTC)

刚才测试了一下,wayland下配置export QT_SCALE_FACTOR=1.x 的确有效果。只是效果不是非常明显,1.2有些效果,1.5就太大了。我的显示器配置1.2-1.3合适。总之是有效果的,之前可能不太明显,自己没感知到。

lihe07 commented on 2024-04-16 01:58 (UTC)

@linlinlin1992 可以为微信单独设置这个环境变量。编辑/bin/wechat-universal,在里面加入export QT_SCALE_FACTOR=1.5 即可

linlinlin1992 commented on 2024-04-15 07:43 (UTC)

我这边QT_SCALE_FACTOR的环境变量能用,就是好像设置1.5才有别的程序1.2的效果。

另外在微信里打开调用其他程序,比如pdf或者文件管理器,对应的scale也拉大了,有什么办法解决吗?

lihe07 commented on 2024-04-14 10:46 (UTC)

这个版本在wayland下不能缩放吗?我已经配置了QT_SCALE_FACTOR=1.2这个环境变量,但是还是不能缩放。 kde下配置全局缩放可以,但是比较模糊。程序缩放有什么方法吗?

在我这里QT_SCALE_FACTOR=1.2是管用的. 你的设置方法是怎样的?其他QT应用程序有效果吗?

sunshe35 commented on 2024-04-14 08:38 (UTC)

这个版本在wayland下不能缩放吗?我已经配置了QT_SCALE_FACTOR=1.2这个环境变量,但是还是不能缩放。

kde下配置全局缩放可以,但是比较模糊。程序缩放有什么方法吗?

lihe07 commented on 2024-04-02 09:57 (UTC)

请问有什么办法把wine微信的聊天记录导入到这个版本里面吗?

目前没有,只能等新版本会不会有更新了

Interaccoonale commented on 2024-04-02 09:22 (UTC)

请问有什么办法把wine微信的聊天记录导入到这个版本里面吗?